You can verify information in a swift-in#credit notification by using GET /v1/profiles/{{profileId}}/balance-statements/{{balanceId}}/statement
You can cross-reference the data.action.id in the notification payload against the referenceNumber field in the response from the GET request. In this field, the ID is prefixed with TRANSFER- for swift-in payments.
- Production Environmenthttps://api.wise.com/v1/profiles/{profileId}/balance-statements/{balanceId}/statement.json
- Sandbox Environmenthttps://api.wise-sandbox.com/v1/profiles/{profileId}/balance-statements/{balanceId}/statement.json
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.wise.com/v1/profiles/12345/balance-statements/64/statement.json?currency=EUR&intervalStart=2025-03-01T00%3A00%3A00.000Z&intervalEnd=2025-04-30T23%3A59%3A59.999Z&type=COMPACT&statementLocale=en' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'For full endpoint details, see the Balance Statement API reference.